<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myFacilityContactMechanismLabel" jhiTranslate="mpmApp.facilityContactMechanism.home.createOrEditLabel">Create or edit a Facility Contact Mechanism</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!facilityContactMechanism.idContactMechPurpose">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="facilityContactMechanism.idContactMechPurpose" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.facilityContactMechanism.idPurposeType" for="field_idPurposeType">Id Purpose Type</label>
                    <input currencyMask class="form-control" name="idPurposeType" id="field_idPurposeType"
                        [(ngModel)]="facilityContactMechanism.idPurposeType"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.facilityContactMechanism.dateFrom" for="field_dateFrom">Date From</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateFrom" name="input_dateFrom" [(ngModel)]="facilityContactMechanism.dateFrom"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.facilityContactMechanism.dateThru" for="field_dateThru">Date Thru</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateThru" name="input_dateThru" [(ngModel)]="facilityContactMechanism.dateThru"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>

                <div class="form-group" *ngIf="idFacility === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.facilityContactMechanism.facility" for="field_facility">Facility</label>
                    <select class="form-control" id="field_facility" name="facility" [(ngModel)]="facilityContactMechanism.facilityId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="facilityOption.idFacility" *ngFor="let facilityOption of facilities; trackBy: trackFacilityById">{{facilityOption.description}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idContact === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.facilityContactMechanism.contact" for="field_contact">Contact</label>
                    <select class="form-control" id="field_contact" name="contact" [(ngModel)]="facilityContactMechanism.contactId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="contactMechanismOption.idContact" *ngFor="let contactMechanismOption of contactmechanisms; trackBy: trackContactMechanismById">{{contactMechanismOption.description}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
